Bug 691100 - ss -ul does not work as expected
Summary: ss -ul does not work as expected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 811219 856606
TreeView+ depends on / blocked
 
Reported: 2011-03-26 18:17 UTC by Scott Schmit
Modified: 2012-09-12 12:05 UTC (History)
4 users (show)

Fixed In Version: iproute-2.6.38.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 01:00:16 UTC
Type: ---


Attachments (Terms of Use)
A dirty hack to achieve desired behavior. (1.03 KB, patch)
2011-11-15 15:23 UTC, Petr Šabata
no flags Details | Diff

Description Scott Schmit 2011-03-26 18:17:52 UTC
Description of problem:
There's been an announcement that net-tools has been deprecated in favor of iproute. Specifically, ss is to replace netstat.

However, when using ss to look at UDP sockets, I'm pretty sure the interface is wrong.

Version-Release number of selected component (if applicable):
iproute-2.6.35-6.fc14.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Perform "ss -u"
2. Compare to "netstat -u"
3. Perform "ss -ul"
4. Compare to "netstat -ul"
5. Perform "ss -ua"
6. Compare to "netstat -ua"

Actual results (if no UDP communication active):
1 & 2 & 3 match
4 & 5 & 6 match

Expected results (if no UDP communication active):
1 & 2 match
3 & 4 & 5 & 6 match

Additional info:
In other words, for netstat, -ua is -u + -ul
For ss, -ua appears to be -u + -ul + ?????

Comment 1 Petr Šabata 2011-11-15 15:23:20 UTC
Created attachment 533776 [details]
A dirty hack to achieve desired behavior.

Proposed upstream.

Comment 2 Scott Schmit 2011-11-16 04:02:19 UTC
Still seen in iproute-2.6.39-3.fc16.x86_64

(Just avoiding the "Fedora 14 is reaching EOL" sweep.)

Comment 3 Petr Šabata 2011-11-24 09:52:40 UTC
The patch was accepted upstream and is included in 3.1.0 (currently available in Rawhide only).  F15+ updates are on the way.

Comment 4 Fedora Update System 2011-11-24 10:36:59 UTC
iproute-2.6.39-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iproute-2.6.39-4.fc16

Comment 5 Fedora Update System 2011-11-24 10:38:53 UTC
iproute-2.6.38.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-5.fc15

Comment 6 Fedora Update System 2011-11-25 02:00:43 UTC
Package iproute-2.6.39-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iproute-2.6.39-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16355/iproute-2.6.39-4.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-06 01:00:16 UTC
iproute-2.6.39-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-12-06 01:01:16 UTC
iproute-2.6.38.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.